diff -u ./qcheck-0.6.1/qcheck.c ./qcheck-0.6.2/qcheck.c
--- ./qcheck-0.6.1/qcheck.c	Tue May  1 18:48:46 2001
+++ ./qcheck-0.6.2/qcheck.c	Tue Apr 24 00:44:13 2001
@@ -18,7 +18,7 @@
 	int newcount = -2,curcount = -2;
 	DIR *dir, *curdir;
 	char *p,path[255],mailpath[255],curpath[255];
-	int i, j, quietmode, nocurmode;
+	int i, j, quietmode, veryquietmode, nocurmode;
     int firstarg = 1;
 
     for (j = 1; ((j < argc) && (j < 4)); j++) {
@@ -26,19 +26,23 @@
 			quietmode = 1;
             firstarg++;
         }
+		if ((strcasecmp(argv[j], "--veryquiet") ==0) || (strcasecmp(argv[j], "-qq") == 0)) {
+			veryquietmode = 1;
+			firstarg++;
+		}
         if ((strcasecmp(argv[j], "--no-current") == 0) || (strcasecmp(argv[j], "-c") == 0)) {
 			nocurmode = 1;
             firstarg++;
         }
         if (strcasecmp (argv[1], "--help") == 0 || strcasecmp (argv[1], "-h") == 0) {
-    		printf ("qcheck {--help|-h} {--version|-v} {--quiet|-q} {--no-current|-c}\nUsage: qcheck [options] Maildir [Maildir]+\n");
+    		printf ("qcheck {--help|-h} {--version|-v} {--quiet|-q}\n{--no-current|-c} {-qq|--veryquiet}\nUsage: qcheck [options] Maildir [Maildir]+\n");
 		exit (0);
     	}
 		if (strcasecmp (argv[1], "--version") == 0 || strcasecmp (argv[1], "-v") == 0) {
-    		printf ("qcheck version 0.6.1\nCoded by Steve Kowalik, based on qcheck.c by David Gerber.\n");
+    		printf ("qcheck version 0.6.2\nCoded by Steve Kowalik, based on qcheck.c by David Gerber.\n");
 	    	exit (0);
     	}
-		if(strcasecmp(argv[j], "--no-current") != 0 && strcasecmp(argv[j], "-c") != 0 && strcasecmp(argv[j], "-q") != 0 && strcasecmp(argv[j], "--quiet") != 0) {
+		if(strcasecmp(argv[j], "--no-current") != 0 && strcasecmp(argv[j], "-c") != 0 && strcasecmp(argv[j], "-q") != 0 && strcasecmp(argv[j], "--quiet") != 0 && strcasecmp(argv[j], "-qq") != 0 && strcasecmp(argv[j], "--veryquiet") != 0) {
 			printf("%s: Unknown argument: %s, skipping\n", argv[0], argv[j]);
 			firstarg++;
 		}
@@ -70,6 +74,12 @@
         if (newcount > 0) {
             if (quietmode == 1) {
                 if (nocurmode == 1) {
+                    printf("%s %d\n", mailpath, newcount);
+                 } else {
+                     printf("%s %d/%d\n", mailpath, newcount, (newcount+curcount));
+                 }
+			} else if (veryquietmode == 1) {
+				if (nocurmode == 1) {
                     printf("%d\n", newcount);
                  } else {
                      printf("%d/%d\n", newcount, (newcount+curcount));
@@ -84,6 +94,12 @@
         } else {
             if (quietmode == 1) {
                 if (nocurmode == 1) {
+                    printf("%s 0\n", mailpath);
+                } else {
+                    printf("%s 0/%d\n", mailpath, curcount);
+                }
+			} else if (veryquietmode == 1) {
+				if (nocurmode == 1) {
                     printf("0\n");
                 } else {
                     printf("0/%d\n", curcount);
